diff --git a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/reference/ReferenceType.java b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/reference/ReferenceType.java
index 4ab1c6352a..881de23e16 100644
--- a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/reference/ReferenceType.java
+++ b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/reference/ReferenceType.java
@@ -11,22 +11,17 @@
 package eu.etaxonomy.cdm.model.reference;
 
 import java.io.Serializable;
-import java.util.HashSet;
-import java.util.List;
 import java.util.Set;
 import java.util.UUID;
 
-import javax.persistence.Transient;
 import javax.xml.bind.annotation.XmlEnum;
 import javax.xml.bind.annotation.XmlEnumValue;
 
 import org.apache.log4j.Logger;
 
-import au.com.bytecode.opencsv.CSVWriter;
-import eu.etaxonomy.cdm.model.common.DefinedTermBase;
-import eu.etaxonomy.cdm.model.common.IDefinedTerm;
+import eu.etaxonomy.cdm.model.common.EnumeratedTermVoc;
+import eu.etaxonomy.cdm.model.common.IEnumTerm;
 import eu.etaxonomy.cdm.model.common.Language;
-import eu.etaxonomy.cdm.model.media.Media;
 import eu.etaxonomy.cdm.strategy.cache.reference.ArticleDefaultCacheStrategy;
 import eu.etaxonomy.cdm.strategy.cache.reference.BookDefaultCacheStrategy;
 import eu.etaxonomy.cdm.strategy.cache.reference.BookSectionDefaultCacheStrategy;
@@ -34,7 +29,7 @@ import eu.etaxonomy.cdm.strategy.cache.reference.CdDvdDefaultCacheStrategy;
 import eu.etaxonomy.cdm.strategy.cache.reference.GenericDefaultCacheStrategy;
 import eu.etaxonomy.cdm.strategy.cache.reference.IReferenceBaseCacheStrategy;
 import eu.etaxonomy.cdm.strategy.cache.reference.JournalDefaultCacheStrategy;
-import eu.etaxonomy.cdm.strategy.cache.reference.ReferenceBaseDefaultCacheStrategy;
+import eu.etaxonomy.cdm.strategy.cache.reference.ReferenceDefaultCacheStrategy;
 import eu.etaxonomy.cdm.strategy.cache.reference.ThesisDefaultCacheStrategy;
 
 
@@ -43,81 +38,100 @@ import eu.etaxonomy.cdm.strategy.cache.reference.ThesisDefaultCacheStrategy;
  * When changing the type of a reference one must be careful with handling attached information.
  * E.g. changing the type of a reference from article to book section requires to either exchange
  * the in reference or to change the type of the in reference which may have further consequences.
+ * 
  * @author a.mueller
  * @created 20.09.2009
- * @version 1.0
  */
+
+//TODO hierarchies, see http://dev.e-taxonomy.eu/trac/ticket/3619
 @XmlEnum
-public enum ReferenceType implements IDefinedTerm<ReferenceType>, Serializable{
+public enum ReferenceType implements IEnumTerm<ReferenceType>, Serializable{
+
+
+	/**
+	 * A reference of type section is a part-of another reference. Section is a generalized type for all 
+	 * references which are expected to be part of another reference (e.g. an article which is part of a journal, 
+	 * a book section which is part of a book) or which may have an in-reference  
+	 * such as books which may be part of a print series or websites which may be part of other websites.
+	 * <BR>
+	 * However, section as concrete type should only be used if no more specific type is available.
+	 * This is usually the case for parts of other sections such parts of articles, parts of book sections, or 
+	 * similar cases).
+	 * 
+	 * @see ISectionBase
+	 */
+	@XmlEnumValue("Section")
+	Section(UUID.fromString("98035142-ca82-46c5-bbef-ad225f668644"), "Section", "SEC", null, ReferenceDefaultCacheStrategy.class),
+
 	//0
+	/**
+	 * Article in a journal. 
+	 * Article is a specialization of {@link #Section}. 
+	 */
 	@XmlEnumValue("Article")
-	Article(UUID.fromString("fddfb343-f652-4f33-b6cb-7c94daa2f1ec"), "Article", ArticleDefaultCacheStrategy.class),
+	Article(UUID.fromString("fddfb343-f652-4f33-b6cb-7c94daa2f1ec"), "Article", "ART", Section, ArticleDefaultCacheStrategy.class),
 	//1
 	@XmlEnumValue("Book")
-	Book(UUID.fromString("9280876c-accb-4c47-873d-46bbf4296f18"), "Book", BookDefaultCacheStrategy.class),
+	Book(UUID.fromString("9280876c-accb-4c47-873d-46bbf4296f18"), "Book", "BK", Section, BookDefaultCacheStrategy.class),
 	//2
+	/**
+	 * A part in a book, e.g. a chapter.
+	 * BookSection is a specialization of {@link #Section}  
+	 */
 	@XmlEnumValue("Book Section")
-	BookSection(UUID.fromString("b197435d-deec-46fa-9c66-e0e6c44c57fb"), "Book Section", BookSectionDefaultCacheStrategy.class),
+	BookSection(UUID.fromString("b197435d-deec-46fa-9c66-e0e6c44c57fb"), "Book Section", "BS", Section, BookSectionDefaultCacheStrategy.class),
 	//3
 	@XmlEnumValue("CD or DVD")
-	CdDvd(UUID.fromString("7d7c9f56-d6fd-45aa-852f-b965afe08ec0"), "CD or DVD", CdDvdDefaultCacheStrategy.class),
+	CdDvd(UUID.fromString("7d7c9f56-d6fd-45aa-852f-b965afe08ec0"), "CD or DVD", "CD", null, CdDvdDefaultCacheStrategy.class),
 	//4
 	@XmlEnumValue("Database")
-	Database(UUID.fromString("a36dbaec-0536-4a20-9fbc-e1b10ba35ea6"), "Database", ReferenceBaseDefaultCacheStrategy.class),
+	Database(UUID.fromString("a36dbaec-0536-4a20-9fbc-e1b10ba35ea6"), "Database", "DB", null, ReferenceDefaultCacheStrategy.class),
 	//5
 	@XmlEnumValue("Generic")
-	Generic(UUID.fromString("df149dd8-f2b4-421c-b478-acc4cce63f25"), "Generic", GenericDefaultCacheStrategy.class),
+	Generic(UUID.fromString("df149dd8-f2b4-421c-b478-acc4cce63f25"), "Generic", "GEN", null, GenericDefaultCacheStrategy.class),
 	//6
 	@XmlEnumValue("Inproceedings")
-	InProceedings(UUID.fromString("a84dae35-6708-4c3d-8bb6-41b989947fa2"), "In Proceedings", ReferenceBaseDefaultCacheStrategy.class),
+	InProceedings(UUID.fromString("a84dae35-6708-4c3d-8bb6-41b989947fa2"), "In Proceedings", "IPR", Section, ReferenceDefaultCacheStrategy.class),
 	//7
 	@XmlEnumValue("Journal")
-	Journal(UUID.fromString("d8675c58-41cd-44fb-86be-e966bd4bc747"), "Journal", JournalDefaultCacheStrategy.class),
+	Journal(UUID.fromString("d8675c58-41cd-44fb-86be-e966bd4bc747"), "Journal", "JOU", null, JournalDefaultCacheStrategy.class),
 	//8
 	@XmlEnumValue("Map")
-	Map(UUID.fromString("f4acc990-a277-4d80-9192-bc04be4b1cab"), "Map", ReferenceBaseDefaultCacheStrategy.class),
+	Map(UUID.fromString("f4acc990-a277-4d80-9192-bc04be4b1cab"), "Map", "MAP", null, ReferenceDefaultCacheStrategy.class),
 	//9
 	@XmlEnumValue("Patent")
-	Patent(UUID.fromString("e44e0e6b-a721-417c-9b03-01926ea0bf56"), "Patent", ReferenceBaseDefaultCacheStrategy.class),
+	Patent(UUID.fromString("e44e0e6b-a721-417c-9b03-01926ea0bf56"), "Patent", "PAT", null, ReferenceDefaultCacheStrategy.class),
 	//10
 	@XmlEnumValue("Personal Communication")
-	PersonalCommunication(UUID.fromString("4ba5607e-1b9d-473c-89dd-8f1c2d27ae50"), "Personal Communication", ReferenceBaseDefaultCacheStrategy.class),
+	PersonalCommunication(UUID.fromString("4ba5607e-1b9d-473c-89dd-8f1c2d27ae50"), "Personal Communication", "PEC", null, ReferenceDefaultCacheStrategy.class),
 	//11
 	@XmlEnumValue("Print Series")
-	PrintSeries(UUID.fromString("d455f30d-2685-4f57-804a-3df5ba4e0888"), "Print Series", ReferenceBaseDefaultCacheStrategy.class),
+	PrintSeries(UUID.fromString("d455f30d-2685-4f57-804a-3df5ba4e0888"), "Print Series", "SER", null, ReferenceDefaultCacheStrategy.class),
 	//12
 	@XmlEnumValue("Proceedings")
-	Proceedings(UUID.fromString("cd934865-cb25-41f1-a155-f344ccb0c57f"), "Proceedings", ReferenceBaseDefaultCacheStrategy.class),
+	Proceedings(UUID.fromString("cd934865-cb25-41f1-a155-f344ccb0c57f"), "Proceedings", "PRO", Section, ReferenceDefaultCacheStrategy.class),
 	//13
 	@XmlEnumValue("Report")
-	Report(UUID.fromString("4d5459b8-b65b-47cb-9579-2fe7be360d04"), "Report", ReferenceBaseDefaultCacheStrategy.class),
+	Report(UUID.fromString("4d5459b8-b65b-47cb-9579-2fe7be360d04"), "Report", "REP", null, ReferenceDefaultCacheStrategy.class),
 	//14
 	@XmlEnumValue("Thesis")
-	Thesis(UUID.fromString("cd054393-4f5e-4842-b820-b820e5732d72"), "Thesis", ThesisDefaultCacheStrategy.class),
+	Thesis(UUID.fromString("cd054393-4f5e-4842-b820-b820e5732d72"), "Thesis", "THE", null, ThesisDefaultCacheStrategy.class),
 	//15
 	@XmlEnumValue("Web Page")
-	WebPage(UUID.fromString("1ed8b0df-0532-40ea-aef6-ee4361341165"), "Web Page", ReferenceBaseDefaultCacheStrategy.class);
+	WebPage(UUID.fromString("1ed8b0df-0532-40ea-aef6-ee4361341165"), "Web Page", "WEB", null, ReferenceDefaultCacheStrategy.class),
+
+	;
 
+	@SuppressWarnings("unused")
 	private static final Logger logger = Logger.getLogger(ReferenceType.class);
 
-	private String readableString;
 	private Class<? extends IReferenceBaseCacheStrategy> cacheStrategy;
-	private UUID uuid;
 
-	private ReferenceType(UUID uuid, String defaultString, Class<? extends IReferenceBaseCacheStrategy> cacheStrategy){
-		this.uuid = uuid;
-		readableString = defaultString;
+	private ReferenceType(UUID uuid, String defaultString, String key, ReferenceType parent, Class<? extends IReferenceBaseCacheStrategy> cacheStrategy){
 		this.cacheStrategy = cacheStrategy;
+		delegateVocTerm = EnumeratedTermVoc.addTerm(getClass(), this, uuid, defaultString, key, parent);
 	}
 
-	@Transient
-	public String getMessage(){
-		return getMessage(Language.DEFAULT());
-	}
-	public String getMessage(Language language){
-		//TODO make multi-lingual
-		return readableString;
-	}
 
 	public IReferenceBaseCacheStrategy getCacheStrategy(){
 		switch(this){
@@ -136,7 +150,7 @@ public enum ReferenceType implements IDefinedTerm<ReferenceType>, Serializable{
 		case Thesis:
 			return ThesisDefaultCacheStrategy.NewInstance();
         default:
-            return ReferenceBaseDefaultCacheStrategy.NewInstance();
+            return ReferenceDefaultCacheStrategy.NewInstance();
 		}
 	}
 
@@ -167,74 +181,53 @@ public enum ReferenceType implements IDefinedTerm<ReferenceType>, Serializable{
 		return (this == Book || this == Proceedings);
 	}
 
+	
+	
 	/**
 	 * Returns true if references of this type are parts of other references (inheriting from
-	 * {@link ISectionBase}) and therefore may have an in-reference and pages.
+	 * {@link ISection}) and therefore may have an in-reference and pages.
 	 */
 	public boolean isSection(){
-		return (this == BookSection || this == InProceedings
-				|| isPrintedUnit() || this == Article );
+//		return (this == BookSection || this == InProceedings
+//				|| isPrintedUnit() || this == Article );
+		return isKindOf(Section);
 	}
 
+// *************************** DELEGATE **************************************/	
+	
+	private static EnumeratedTermVoc<ReferenceType> delegateVoc;
+	private IEnumTerm<ReferenceType> delegateVocTerm;
 
-	@Override
-    public ReferenceType readCsvLine(Class<ReferenceType> termClass,
-			List<String> csvLine, java.util.Map<UUID, DefinedTermBase> terms) {
-		// TODO Auto-generated method stub
-		return null;
+	static {
+		delegateVoc = EnumeratedTermVoc.getVoc(ReferenceType.class);
 	}
-
-
+	
 	@Override
-    public void writeCsvLine(CSVWriter writer, ReferenceType term) {
-		logger.warn("write csvLine not yet implemented");
-	}
-
-
+	public String getKey(){return delegateVocTerm.getKey();}
+	
 	@Override
-    public UUID getUuid() {
-		return this.uuid;
-	}
-
+    public String getMessage(){return delegateVocTerm.getMessage();}
 
 	@Override
-    public ReferenceType getByUuid(UUID uuid) {
-		for (ReferenceType referenceType : ReferenceType.values()){
-			if (referenceType.getUuid().equals(uuid)){
-				return referenceType;
-			}
-		}
-		return null;
-	}
-
-
+    public String getMessage(Language language){return delegateVocTerm.getMessage(language);}
+		
 	@Override
-    public ReferenceType getKindOf() {
-		return null;
-	}
-
+    public UUID getUuid() {return delegateVocTerm.getUuid();}
 
 	@Override
-    public Set<ReferenceType> getGeneralizationOf() {
-		return new HashSet<ReferenceType>();
-	}
-
-
+    public ReferenceType getKindOf() {return delegateVocTerm.getKindOf();}
+	
 	@Override
-    public ReferenceType getPartOf() {
-		return null;
-	}
+    public Set<ReferenceType> getGeneralizationOf() {return delegateVocTerm.getGeneralizationOf();}
 
+	@Override
+	public boolean isKindOf(ReferenceType ancestor) {return delegateVocTerm.isKindOf(ancestor);	}
 
 	@Override
-    public Set<ReferenceType> getIncludes() {
-		return new HashSet<ReferenceType>();
-	}
+    public Set<ReferenceType> getGeneralizationOf(boolean recursive) {return delegateVocTerm.getGeneralizationOf(recursive);}
 
+	public static ReferenceType getByKey(String key){return delegateVoc.getByKey(key);}
+    public static ReferenceType getByUuid(UUID uuid) {return delegateVoc.getByUuid(uuid);}
 
-	@Override
-    public Set<Media> getMedia() {
-		return new HashSet<Media>();
-	}
 
 }
diff --git a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/taxon/Classification.java b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/taxon/Classification.java
index b08a8f0938..6b808b022d 100644
--- a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/taxon/Classification.java
+++ b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/taxon/Classification.java
@@ -13,14 +13,17 @@ package eu.etaxonomy.cdm.model.taxon;
 import java.util.ArrayList;
 import java.util.HashSet;
 import java.util.Iterator;
+import java.util.List;
 import java.util.Set;
 
+import javax.persistence.ElementCollection;
 import javax.persistence.Entity;
 import javax.persistence.FetchType;
 import javax.persistence.JoinColumn;
 import javax.persistence.ManyToOne;
 import javax.persistence.OneToMany;
 import javax.persistence.OneToOne;
+import javax.persistence.OrderColumn;
 import javax.persistence.Transient;
 import javax.xml.bind.annotation.XmlAccessType;
 import javax.xml.bind.annotation.XmlAccessorType;
@@ -32,6 +35,7 @@ import javax.xml.bind.annotation.XmlSchemaType;
 import javax.xml.bind.annotation.XmlType;
 
 import org.apache.log4j.Logger;
+import org.apache.poi.poifs.property.Child;
 import org.hibernate.annotations.Cascade;
 import org.hibernate.annotations.CascadeType;
 import org.hibernate.envers.Audited;
@@ -43,6 +47,7 @@ import eu.etaxonomy.cdm.model.common.IdentifiableEntity;
 import eu.etaxonomy.cdm.model.common.Language;
 import eu.etaxonomy.cdm.model.common.LanguageString;
 import eu.etaxonomy.cdm.model.reference.Reference;
+import eu.etaxonomy.cdm.strategy.cache.common.IIdentifiableEntityCacheStrategy;
 
 /**
  * @author a.mueller
@@ -60,7 +65,7 @@ import eu.etaxonomy.cdm.model.reference.Reference;
 @Entity
 @Audited
 @Indexed(index = "eu.etaxonomy.cdm.model.taxon.Classification")
-public class Classification extends IdentifiableEntity implements IReferencedEntity, ITreeNode, Cloneable{
+public class Classification extends IdentifiableEntity<IIdentifiableEntityCacheStrategy> implements IReferencedEntity, ITaxonTreeNode, Cloneable{
 	private static final long serialVersionUID = -753804821474209635L;
 	private static final Logger logger = Logger.getLogger(Classification.class);
 	
@@ -75,11 +80,12 @@ public class Classification extends IdentifiableEntity implements IReferencedEnt
 	@XmlElement(name = "rootNode")
     @XmlIDREF
     @XmlSchemaType(name = "IDREF")
-    @OneToMany(fetch=FetchType.LAZY)
+	@OrderColumn(name="sortIndex")
+	@OneToMany(fetch=FetchType.LAZY)
     @Cascade({CascadeType.SAVE_UPDATE, CascadeType.MERGE})
 	//TODO
 //    @NotNull // avoids creating a UNIQUE key for this field
-	private Set<TaxonNode> rootNodes = new HashSet<TaxonNode>();
+	private List<TaxonNode> rootNodes = new ArrayList<TaxonNode>();
 
 	@XmlElement(name = "reference")
 	@XmlIDREF
@@ -99,6 +105,7 @@ public class Classification extends IdentifiableEntity implements IReferencedEnt
 //	 */
 //	private AlternativeViewRoot alternativeViewRoot;
 	
+// ********************** FACTORY METHODS *********************************************/
 	
 	public static Classification NewInstance(String name){
 		return NewInstance(name, null, Language.DEFAULT());
@@ -115,6 +122,11 @@ public class Classification extends IdentifiableEntity implements IReferencedEnt
 	public static Classification NewInstance(String name, Reference reference, Language language){
 		return new Classification(name, reference, language);
 	}
+
+// **************************** CONSTRUCTOR *********************************/
+	
+	//for hibernate use only, protected required by Javassist
+	protected Classification(){super();}
 	
 	protected Classification(String name, Reference reference, Language language){
 		this();
@@ -123,38 +135,36 @@ public class Classification extends IdentifiableEntity implements IReferencedEnt
 		setReference(reference);
 	}
 	
-	protected Classification(){
-		super();
+//********************** xxxxxxxxxxxxx ******************************************/	
+	
+	@Override
+	public TaxonNode addChildNode(TaxonNode childNode, Reference citation, String microCitation) {
+		return addChildNode(childNode, rootNodes.size(), citation, microCitation);
 	}
 	
-
-	/* (non-Javadoc)
-	 * @see eu.etaxonomy.cdm.model.taxon.ITreeNode#addChildNode(eu.etaxonomy.cdm.model.taxon.TaxonNode, eu.etaxonomy.cdm.model.reference.Reference, java.lang.String, eu.etaxonomy.cdm.model.taxon.Synonym)
-	 */
-	public TaxonNode addChildNode(TaxonNode childNode, Reference citation,
-			String microCitation, Synonym synonymToBeUsed) {
+	@Override
+	public TaxonNode addChildNode(TaxonNode childNode, int index, Reference citation, String microCitation) {
 		
-		childNode.setParentTreeNode(this);
+		childNode.setParentTreeNode(this, index);
 		
 		childNode.setReference(citation);
 		childNode.setMicroReference(microCitation);
-		childNode.setSynonymToBeUsed(synonymToBeUsed);
+//		childNode.setSynonymToBeUsed(synonymToBeUsed);
 		
 		return childNode;
 	}
 
-	/* (non-Javadoc)
-	 * @see eu.etaxonomy.cdm.model.taxon.ITreeNode#addChildTaxon(eu.etaxonomy.cdm.model.taxon.Taxon, eu.etaxonomy.cdm.model.reference.Reference, java.lang.String, eu.etaxonomy.cdm.model.taxon.Synonym)
-	 */
-	public TaxonNode addChildTaxon(Taxon taxon, Reference citation,
-			String microCitation, Synonym synonymToBeUsed) {
-		return addChildNode(new TaxonNode(taxon), citation, microCitation, synonymToBeUsed);
+	@Override
+	public TaxonNode addChildTaxon(Taxon taxon, Reference citation, String microCitation) {
+		return addChildTaxon(taxon, this.rootNodes.size() ,citation, microCitation);
 	}
 	
-
-	/* (non-Javadoc)
-	 * @see eu.etaxonomy.cdm.model.taxon.ITreeNode#removeChildNode(eu.etaxonomy.cdm.model.taxon.TaxonNode)
-	 */
+	@Override
+	public TaxonNode addChildTaxon(Taxon taxon, int index, Reference citation, String microCitation) {
+		return addChildNode(new TaxonNode(taxon), index, citation, microCitation);
+	}
+	
+	@Override
 	public boolean deleteChildNode(TaxonNode node) {
 		boolean result = removeChildNode(node);
 		
@@ -211,7 +221,7 @@ public class Classification extends IdentifiableEntity implements IReferencedEnt
 		if (otherNode.equals(topmostNode)){
 			throw new IllegalArgumentException("root node and other node must not be the same");
 		}
-		otherNode.addChildNode(topmostNode, ref, microReference, null);
+		otherNode.addChildNode(topmostNode, ref, microReference);
 		//getRootNodes().remove(root);
 	}
 	
@@ -337,12 +347,12 @@ public class Classification extends IdentifiableEntity implements IReferencedEnt
 			
 			//add parent node if not exist
 			if (parentNode == null){
-				parentNode = this.addChildTaxon(parent, null, null, null);
+				parentNode = this.addChildTaxon(parent, null, null);
 			}
 			
 			//add child if not exists
 			if (childNode == null){
-				childNode = parentNode.addChildTaxon(child, citation, microCitation, null);
+				childNode = parentNode.addChildTaxon(child, citation, microCitation);
 			}else{
 				//child is still topmost node
 				//TODO test if child is topmostNode otherwise throw IllegalStateException
@@ -392,14 +402,16 @@ public class Classification extends IdentifiableEntity implements IReferencedEnt
 		return allNodes;
 	}	
 	
-	public Set<TaxonNode> getChildNodes() {
+	@Override
+	public List<TaxonNode> getChildNodes() {
 		return rootNodes;
 	}
 
-	private void setRootNodes(Set<TaxonNode> rootNodes) {
+	private void setRootNodes(List<TaxonNode> rootNodes) {
 		this.rootNodes = rootNodes;
 	}
 
+	@Override
 	public Reference getReference() {
 		return reference;
 	}
@@ -409,9 +421,7 @@ public class Classification extends IdentifiableEntity implements IReferencedEnt
 	}
 	
 
-	/**
-	 * @return the microReference
-	 */
+	@Override
 	public String getMicroReference() {
 		return microReference;
 	}
@@ -435,9 +445,8 @@ public class Classification extends IdentifiableEntity implements IReferencedEnt
 		return 0;
 	}
 
-	/* (non-Javadoc)
-	 * @see eu.etaxonomy.cdm.model.taxon.ITreeNode#hasChildNodes()
-	 */
+
+	@Override
 	public boolean hasChildNodes() {
 		return getChildNodes().size() > 0;
 	}
@@ -456,8 +465,8 @@ public class Classification extends IdentifiableEntity implements IReferencedEnt
 		Classification result;
 		try{
 			result = (Classification)super.clone();
-			result.rootNodes = new HashSet<TaxonNode>();
-			Set<TaxonNode> rootNodes = new HashSet<TaxonNode>();
+			result.rootNodes = new ArrayList<TaxonNode>();
+			List<TaxonNode> rootNodes = new ArrayList<TaxonNode>();
 			TaxonNode rootNodeClone;
 			rootNodes = this.rootNodes;
 			TaxonNode rootNode;
@@ -467,8 +476,8 @@ public class Classification extends IdentifiableEntity implements IReferencedEnt
 				rootNode = iterator.next();
 				rootNodeClone = rootNode.cloneDescendants();
 				rootNodeClone.setClassification(result);
-				result.addChildNode(rootNodeClone, rootNode.getReference(), rootNode.getMicroReference(), rootNode.getSynonymToBeUsed());
-				
+				result.addChildNode(rootNodeClone, rootNode.getReference(), rootNode.getMicroReference());
+				rootNodeClone.setSynonymToBeUsed(rootNode.getSynonymToBeUsed());
 			}
 			
 			return result;
diff --git a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/taxon/ITaxonTreeNode.java b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/taxon/ITaxonTreeNode.java
new file mode 100644
index 0000000000..d2047e51ee
--- /dev/null
+++ b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/taxon/ITaxonTreeNode.java
@@ -0,0 +1,104 @@
+// $Id$
+/**
+* Copyright (C) 2007 EDIT
+* European Distributed Institute of Taxonomy 
+* http://www.e-taxonomy.eu
+* 
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/
+
+package eu.etaxonomy.cdm.model.taxon;
+
+import java.util.List;
+
+import eu.etaxonomy.cdm.model.common.IAnnotatableEntity;
+import eu.etaxonomy.cdm.model.common.ITreeNode;
+import eu.etaxonomy.cdm.model.reference.Reference;
+
+
+/**
+ * @author n.hoffmann
+ * @created Sep 18, 2009
+ */
+public interface ITaxonTreeNode extends /*ITreeNode<TaxonNode>, */ IAnnotatableEntity {
+
+	/**
+	 * Adds a taxon node as a child of the ITreeNode at the last position.
+	 * 
+	 * @param childNode
+	 * @param citation
+	 * @param microCitation
+	 * @param synonymToBeUsed
+	 * @return the child node 
+	 */
+	public TaxonNode addChildNode(TaxonNode childNode, Reference citation, String microCitation);
+
+	/**
+	 * Adds a taxon node as a child of this {@link ITreeNode} at the index position.
+	 * @param childNode
+	 * @param index
+	 * @param citation
+	 * @param microCitation
+	 * @return
+	 */
+	public TaxonNode addChildNode(TaxonNode childNode, int index, Reference citation, String microCitation);
+
+	
+	/**
+	 * Adds a taxon as a child of the ITreeNode at the last position.
+	 * 
+	 * @param taxon
+	 * @param citation
+	 * @param microCitation
+	 * @return the child node
+	 */
+	public TaxonNode addChildTaxon(Taxon taxon, Reference citation, String microCitation);
+	
+	
+	/**
+	 * Adds a taxon as a child of the ITreeNode at the index position.
+	 * 
+	 * @param taxon
+	 * @param citation
+	 * @param microCitation
+	 * @return the child node
+	 */
+	public TaxonNode addChildTaxon(Taxon taxon, int index, Reference citation, String microCitation);
+	
+	/**
+	 * Whether this TreeNode has child nodes attached
+	 * 
+	 * @return true if this node has children
+	 */
+	public boolean hasChildNodes();
+	
+	/**
+	 * This recursively removes all child nodes from this node and from this taxonomic view.
+	 * 
+	 * TODO remove orphan nodes completely 
+	 * 
+	 * @param node
+	 * @return true on success
+	 */
+	public boolean deleteChildNode(TaxonNode node);
+
+	/**
+	 * Returns the list of direct child nodes of <code>this</code> ITreeNode.
+	 * @return
+	 */
+//	@Override
+	public List<TaxonNode> getChildNodes();
+	
+	/**
+	 * @return the citation for the parent child relationship or the tree itself
+	 */
+	public Reference getReference();
+	
+	/**
+	 * 
+	 * @return the microCitation for the parent child relationship or the tree itself
+	 */
+	public abstract String getMicroReference();	
+
+}
diff --git a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/taxon/SynonymRelationship.java b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/taxon/SynonymRelationship.java
index af9e32e088..4b8d9b2fcc 100644
--- a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/taxon/SynonymRelationship.java
+++ b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/taxon/SynonymRelationship.java
@@ -68,8 +68,8 @@ import eu.etaxonomy.cdm.validation.annotation.HomotypicSynonymsShouldBelongToGro
 @Audited
 @HomotypicSynonymsShouldBelongToGroup(groups = Level3.class)
 public class SynonymRelationship extends RelationshipBase<Synonym, Taxon, SynonymRelationshipType> {
-	private static final long serialVersionUID = 1615082389452680243L;
-	private static final Logger logger = Logger.getLogger(SynonymRelationship.class);
+    private static final long serialVersionUID = 1615082389452680243L;
+    private static final Logger logger = Logger.getLogger(SynonymRelationship.class);
 
     @XmlElement(name = "IsProParte")
     private boolean proParte = false;
@@ -232,20 +232,24 @@ public class SynonymRelationship extends RelationshipBase<Synonym, Taxon, Synony
 
     //FIXME Why was this protected - especially since setSynonym is public,
     // making relatedFrom inaccessible outside the package
+    @Override
     protected Synonym getRelatedFrom() {
         return relatedFrom;
     }
 
     //FIXME Why was this protected - especially since setAcceptedTaxon is public,
     // making relatedTo inaccessible outside the package
+    @Override
     protected Taxon getRelatedTo() {
         return relatedTo;
     }
 
+    @Override
     public SynonymRelationshipType getType() {
         return type;
     }
 
+    @Override
     protected void setRelatedFrom(Synonym relatedFrom) {
         if (relatedFrom == null){
             this.deletedObjects.add(this.relatedFrom);
@@ -253,6 +257,7 @@ public class SynonymRelationship extends RelationshipBase<Synonym, Taxon, Synony
         this.relatedFrom = relatedFrom;
     }
 
+    @Override
     protected void setRelatedTo(Taxon relatedTo) {
         if (relatedTo == null){
             this.deletedObjects.add(this.relatedTo);
@@ -260,6 +265,7 @@ public class SynonymRelationship extends RelationshipBase<Synonym, Taxon, Synony
         this.relatedTo = relatedTo;
     }
 
+    @Override
     public void setType(SynonymRelationshipType type) {
         this.type = type;
     }
diff --git a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/taxon/SynonymRelationshipType.java b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/taxon/SynonymRelationshipType.java
index d4e8916fa3..1d3913219c 100644
--- a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/taxon/SynonymRelationshipType.java
+++ b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/taxon/SynonymRelationshipType.java
@@ -11,7 +11,6 @@ package eu.etaxonomy.cdm.model.taxon;
 
 
 import java.util.HashMap;
-import java.util.List;
 import java.util.Map;
 import java.util.UUID;
 
@@ -24,8 +23,8 @@ import org.apache.log4j.Logger;
 import org.hibernate.envers.Audited;
 import org.hibernate.search.annotations.Indexed;
 
-import eu.etaxonomy.cdm.model.common.DefinedTermBase;
 import eu.etaxonomy.cdm.model.common.RelationshipTermBase;
+import eu.etaxonomy.cdm.model.common.TermType;
 import eu.etaxonomy.cdm.model.common.TermVocabulary;
 
 /**
@@ -43,7 +42,6 @@ import eu.etaxonomy.cdm.model.common.TermVocabulary;
  * </ul>
  * 
  * @author m.doering
- * @version 1.0
  * @created 08-Nov-2007 13:06:55
  */
 @XmlAccessorType(XmlAccessType.FIELD)
@@ -67,13 +65,12 @@ public class SynonymRelationshipType extends RelationshipTermBase<SynonymRelatio
 	public static final UUID uuidPotentialCombinationOf = UUID.fromString("7c45871f-6dc5-40e7-9f26-228318d0f63a");
 	
 
-	// ************* CONSTRUCTORS *************/	
-	/** 
-	 * Class constructor: creates a new empty synonym relationship type instance.
-	 * 
-	 * @see 	#SynonymRelationshipType(String, String, String)
-	 */
-	public SynonymRelationshipType() {
+//********************************** CONSTRUCTOR *********************************/	
+
+  	//for hibernate use only
+  	@Deprecated
+  	protected SynonymRelationshipType() {
+		super(TermType.SynonymRelationshipType);
 	}
 
 	/** 
@@ -90,8 +87,8 @@ public class SynonymRelationshipType extends RelationshipTermBase<SynonymRelatio
 	 * 						 new synonym relationship type to be created
 	 * @see 				 #SynonymRelationshipType()
 	 */
-	public SynonymRelationshipType(String term, String label, String labelAbbrev) {
-		super(term, label, labelAbbrev, false, false);
+	private SynonymRelationshipType(String term, String label, String labelAbbrev) {
+		super(TermType.SynonymRelationshipType, term, label, labelAbbrev, false, false);
 	}
 
 	
@@ -188,10 +185,10 @@ public class SynonymRelationshipType extends RelationshipTermBase<SynonymRelatio
 	}
 	
 
-	@Override
-	public SynonymRelationshipType readCsvLine(Class<SynonymRelationshipType> termClass, List<String> csvLine, Map<UUID,DefinedTermBase> terms) {
-		return super.readCsvLine(termClass, csvLine, terms);
-	}
+//	@Override
+//	public SynonymRelationshipType readCsvLine(Class<SynonymRelationshipType> termClass, List<String> csvLine, Map<UUID,DefinedTermBase> terms) {
+//		return super.readCsvLine(termClass, csvLine, terms);
+//	}
 
 	@Override
 	protected void setDefaultTerms(TermVocabulary<SynonymRelationshipType> termVocabulary) {
